/* global expert_moversScreenReaderText */
/**
 * Theme functions file.
 *
 * Contains handlers for navigation and widget area.
 */

jQuery(function($){
	"use strict";
	jQuery('.main-menu-navigation > ul').superfish({
		delay: 500,                            
		animation: {opacity:'show',height:'show'},  
		speed: 'fast'                        
	});
});

function expert_movers_open() {
	window.expert_movers_mobileMenu=true;
	jQuery(".sidenav").addClass('show');
}
function expert_movers_close() {
	window.expert_movers_mobileMenu=false;
	jQuery(".sidenav").removeClass('show');
}

window.expert_movers_currentfocus=null;
expert_movers_checkfocusdElement();
var expert_movers_body = document.querySelector('body');
expert_movers_body.addEventListener('keyup', expert_movers_check_tab_press);
var expert_movers_gotoHome = false;
var expert_movers_gotoClose = false;
window.expert_movers_mobileMenu=false;
function expert_movers_checkfocusdElement(){
 	if(window.expert_movers_currentfocus=document.activeElement.className){
	 	window.expert_movers_currentfocus=document.activeElement.className;
 	}
}
function expert_movers_check_tab_press(e) {
	"use strict";
	// pick passed event or global event object if passed one is empty
	e = e || event;
	var activeElement;

	if(window.innerWidth < 999){
		if (e.keyCode == 9) {
			if(window.expert_movers_mobileMenu){
				if (!e.shiftKey) {
					if(expert_movers_gotoHome) {
						jQuery( ".main-menu-navigation ul:first li:first a:first-child" ).focus();
					}
				}
				if (jQuery("a.closebtn.responsive-menu").is(":focus")) {
					expert_movers_gotoHome = true;
				} else {
					expert_movers_gotoHome = false;
				}
			}else{
				if(window.expert_movers_currentfocus=="mobiletoggle"){
					jQuery( "" ).focus();
				}
			}
		}
	}
	if (e.shiftKey && e.keyCode == 9) {
		if(window.innerWidth < 999){
			if(window.expert_movers_currentfocus=="header-search"){
				jQuery(".mobiletoggle").focus();
			}else{
				if(window.expert_movers_mobileMenu){
					if(expert_movers_gotoClose){
						jQuery("a.closebtn.responsive-menu").focus();
					}
					if (jQuery( ".main-menu-navigation ul:first li:first a:first-child" ).is(":focus")) {
						expert_movers_gotoClose = true;
					} else {
						expert_movers_gotoClose = false;
					}
				
				}else{
					if(window.expert_movers_mobileMenu){
					}
				}
			}
		}
	}
 	expert_movers_checkfocusdElement();
}